Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules
Class PageLoader

    java.lang.Object
      org.apache.turbine.modules.GenericLoader<Page>
          org.apache.turbine.modules.PageLoader

All Implemented Interfaces:
  Loader<Page>

    public class PageLoader

extends GenericLoader<Page>
implements Loader<Page>

The purpose of this class is to allow one to load and execute Page modules.

Version:
  $Id: PageLoader.java 1078552 2011-03-06 19:58:46Z tv $
Author:
  Dave Bryson, Henning P. Schmiedehausen, Peter Courcoux

Field Summary

Fields inherited from class org.apache.turbine.modules.GenericLoader
`ab`

Method Summary
`void` | `exec(PipelineData pipelineData, String name)` Attempts to load and execute the external page.
`void` | `exec(RunData data, String name)` Deprecated. Use PipelineData version instead.
`Page` | `getAssembler(String name)` Pulls out an instance of the object by name.
`int` | `getCacheSize()` Get the size of a possibly configured cache
`static PageLoader` | `getInstance()` The method through which this class is accessed.

Methods inherited from class org.apache.turbine.modules.GenericLoader
`getAssembler, getBasePackage, getPackages, reload, setReload`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### exec

    @Deprecated
    public void exec(RunData data,
                                String name)
              throws Exception

  Deprecated. Use PipelineData version instead.

  Attempts to load and execute the external page.

  Specified by:
    `exec` in class `GenericLoader<Page>`
  Parameters:
    `data` - Turbine information.
    `name` - Name of object that will execute the page.
  Throws:
    `Exception` - a generic exception.

### exec

    public void exec(PipelineData pipelineData,
                     String name)
              throws Exception

  Attempts to load and execute the external page.

  Overrides:
    `exec` in class `GenericLoader<Page>`
  Parameters:
    `data` - Turbine information.
    `name` - Name of object that will execute the page.
  Throws:
    `Exception` - a generic exception.

### getAssembler

    public Page getAssembler(String name)
                      throws Exception

  Pulls out an instance of the object by name. Name is just the single name of the object. This is equal to getInstance but returns an Assembler object and is needed to fulfil the Loader interface.

  Specified by:
    `getAssembler` in interface `Loader<Page>`
  Parameters:
    `name` - Name of object instance.
  Returns:
    A Screen with the specified name, or null.
  Throws:
    `Exception` - a generic exception.

### getCacheSize

    public int getCacheSize()

  Description copied from interface: `Loader`
  Get the size of a possibly configured cache

  Specified by:
    `getCacheSize` in interface `Loader<Page>`
  Returns:
    the size of the cache in bytes
  See Also:
    `Loader.getCacheSize()`

### getInstance

    public static PageLoader getInstance()

  The method through which this class is accessed.

  Returns:
    The single instance of this class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.